Subject: bug#19776: 25.0.50; HTML rendering is very slow

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 24 Oct 2021 22:40:57 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> So the atimer code isn't setting pending_signals, so it's never handled
> until we get a signal of a different kind.  That has to be a bug, I
> think?

I misread the code -- I thought the cunningly named atimers global
variable was the ones that had fired, but it's all the atimers.  So
run_timers just goes through that list and does all the callbacks.

But we wait to check that until we have a pending signal, which doesn't
make much sense, but it's probably that way because there's no other
obvious way to run it "once in a while" without running current_timespec
all the time?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no